Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Visuwesh <[email-masked]>
Date: Mon, 10 Feb 2025 16:42:41 +0530

[திங்கள் பிப்ரவரி 10, 2025] Michael Albinus wrote:

> Visuwesh <[email-masked]> writes:
>
> Hi,
>
>> Personally, I think we might be better served by using the dbus
>> interface directly.  I have the attached in my init file which could be
>> a reference.  Of course, as you point out, there's no share to other
>> applications; only to devices.
>
> Yes, that's for KDE. Unfortunately, there doesn't seem to exist an
> equivalent for Gnome.

My memory is a bit vague but GSConnect (GNOME's equivalent of KDE
Connect) still talks to the kdeconnect server over DBus.
But maybe you meant something GNOME-specific (and not KDE Connect)?

> Best regards, Michael.